apiVersion: apps/v1
kind: Deployment
metadata:
  name: meow-client
spec:
  replicas: 1
  selector:
    matchLabels:
      app: meow-client
  template:
    metadata:
      labels:
        app: meow-client
    spec:
      containers:
      - name: meow-client
        image: {{ .Values.client.image }}
        env:
          - name: GRPC_SERVER_ADDRESS
            value: {{ .Values.server.path }}
          - name: JAEGER_AGENT_HOST
            value: "jaeger-agent.default.svc.cluster.local"
          - name: JAEGER_REPORTER_LOG_SPANS
            value: "true"
          - name: JAEGER_SAMPLER_TYPE
            value: "const"
          - name: JAEGER_SAMPLER_PARAM
            value: "1"
        ports:
        - containerPort: {{ .Values.client.containerPort }}
      imagePullSecrets:
        - name: pull-secret
---
apiVersion: v1
kind: Service
metadata:
  name: meow-client-rest-svc
spec:
  ports:
  - port: {{ .Values.client.rest.port }}
    targetPort: {{ .Values.client.rest.targetPort }}
    protocol: TCP
  selector:
    app: meow-client
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: meow-client-ingress
  annotations:
    nginx.ingress.kubernetes.io/enable-opentracing: "true"
    nginx.ingress.kubernetes.io/rewrite-target: /
spec:
  rules:
  - http:
      paths:
      - path: /meow
        pathType: Prefix
        backend:
          service:
            name: meow-client-rest-svc
            port:
              number: {{ .Values.client.rest.port }}
